
QGIS Application - Bug report #20917

QGIS crashes using eVis plugin

2019-01-04 12:13 PM - Koffi ADA

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Evis

Affected QGIS version:3.2.3 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28736

Description

User Feedback

Report Details

Crash ID: 0d169b9f948fdd602deed066137928524dcfa01c

Stack Trace

QgsField::QgsField :

QgsFields::field :

version :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

version :

version :

version :

version :

version :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-04 12:16 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Subject changed from Crash après utilisation de eVis to QGIS crashes using eVis plugin

Please:

update to 3.4.3

try with a new/clean profile

post the exact steps (and a project with data) to replicate the problem

#2 - 2019-02-11 12:28 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
